
#include <map>
#include <string>
#include <vector>
#include "ctx.h"
#include "llm.h"
#include "memory_Context.h"
#include "main.h"

std::string llm_test_isDigit_digit(
) {
  if (
    llm_isDigit("123")
  ) {
    return "OK: llm_isDigit_digit";
  }
  return "ERR: llm_isDigit_digit";
}

std::string llm_test_isDigit_notDigit(
) {
  if (
    llm_isDigit("abc")
  ) {
    return "ERR: llm_isDigit_notDigit";
  }
  return "OK: llm_isDigit_notDigit";
}

std::string llm_test_strToInt(
) {
  if (
    llm_strToInt("123") == 123
  ) {
    return "OK: llm_strToInt";
  }
  return "ERR: llm_strToInt";
}

